Loading...
Searching...
No Matches
signature.hh File Reference
`#include <type_traits>`
`#include <tuple>`
`#include <dune/functions/common/defaultderivativetraits.hh>`

Go to the source code of this file.

## Classes

struct | Dune::Functions::SignatureTraits< Signature, isCallable >
| Helper class to deduce the signature of a callable. More...
struct | Dune::Functions::SignatureTag< Range(Domain), DerivativeTraitsT >
| Tag-class to encapsulate signature information. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Functions

template<class Range, class Domain, template< class > class DerivativeTraits>
auto | Dune::Functions::derivativeSignatureTag (SignatureTag< Range(Domain), DerivativeTraits > tag)
| Construct SignatureTag for derivative.
template<std::size_t maxOrder, class Signature, template< class > class DerivativeTraits>
auto | Dune::Functions::derivativeSignatureTags (Dune::Functions::SignatureTag< Signature, DerivativeTraits > tag)
| Construct SignatureTags for derivatives.